Subject: Next IETF Meeting DMARC Related Talks

From: Hector Santos <[email-masked]>
Date: Sat, 07 Jun 2014 17:58:54 -0400

I might be interested in remote participation at the next IETF 90 
meeting if there are any DKIM/DMARC related meetings scheduled.

I have not seen any announcements for any such DKIM/DMARC related 
activity.

-- 
HLS

---

From: "Murray S. Kucherawy" <[email-masked]>
Date: Sat, 7 Jun 2014 21:34:49 -0700

On Sat, Jun 7, 2014 at 2:58 PM, Hector Santos <[email-masked]> wrote:

> I might be interested in remote participation at the next IETF 90 meeting
> if there are any DKIM/DMARC related meetings scheduled.
>
> I have not seen any announcements for any such DKIM/DMARC related activity.

None are presently scheduled; there isn't a DMARC working group, no BoF
session has been requested (that I know of), and no related work is going
on in other working groups (that I know of).  Of course, all of that could
change, so "watch this space".

-MSK

---

From: John C Klensin <[email-masked]>
Date: Sun, 08 Jun 2014 02:32:45 -0400

--On Saturday, June 07, 2014 21:34 -0700 "Murray S. Kucherawy"
<[email-masked]> wrote:

>> I might be interested in remote participation at the next
>> IETF 90 meeting if there are any DKIM/DMARC related meetings
>> scheduled.
>> 
> None are presently scheduled; there isn't a DMARC working
> group, no BoF session has been requested (that I know of), and
> no related work is going on in other working groups (that I
> know of).  Of course, all of that could change, so "watch this
> space".

Murray, you didn't mention whether there is any ongoing
discussion in dmarc.org and, if so, how Hector can participate
there.  If there are no further discussions there and dmarc.org
is turning change control over to the IETF, it might be helpful
for people here to know that.  Conversely, if discussions on the
IETF dmarc list (or the IETF list) are simply taken as input to
a change control and decision process that is not described on
the dmarc.org web pages or in any other obvious place, it would
be good to be explicit about that.

   regards,
    john

---

From: Dave Crocker <[email-masked]>
Date: Sun, 08 Jun 2014 08:50:46 +0200

On 6/8/2014 8:32 AM, John C Klensin wrote:
> there. 

That's because Hector is already active in the IETF's DMARC discussion
list, which was an addressee of your note, as it is of this one...

> If there are no further discussions there and dmarc.org
> for people here to know that.

Discussions continue.

To my non-expert eyes, the IPR statements in the base I-D spec:

   https://datatracker.ietf.org/doc/draft-kucherawy-dmarc-base/

is standard IETF boilerplate and already shows the IETF Trust as holding
copyright...

d/
-- 
Dave Crocker
Brandenburg InternetWorking
bbiw.net

---

From: John C Klensin <[email-masked]>
Date: Sun, 08 Jun 2014 11:40:03 -0400

--On Sunday, June 08, 2014 08:50 +0200 Dave Crocker
<[email-masked]> wrote:

> That's because Hector is already active in the IETF's DMARC
> discussion list, which was an addressee of your note, as it is
> of this one...

And, because I'm still confused about change control and
decision processes (see below), I deliberately asked about
dmarc.org, not about the IETF's DMARC discussion list.

>> is turning change control over to the IETF, it might be
>> helpful for people here to know that.
> 
> Discussions continue.
> 
> is standard IETF boilerplate and already shows the IETF Trust
> as holding copyright...

To my non-expert eyes, informed by many years of IETF IPR
discussions and a recent rereading of the IETF Trust policies,
the copyright is important if someone wants to reproduce the
document (not at issue here, AFICT) or if the IETF decides
create a WG that intended to use the work as a starting point,
possibly forking it.  As far as I know, no one has suggested the
latter.  The copyright would be equally irrelevant if the IETF
decided to ignore DMARC (except as a learning experience) and
adopt some other technology.  

I asked about voluntary handoff of change control; I don't see
want your response about copyright has to do with that.  I hope
we are not heading into another round in which the IETF is asked
to adopt another technology and standardize it but told that it
can't make substantive changes in that technology because it has
already been discussed, adopted, and deployed elsewhere but that
possibility is precisely why the question of change control is
relevant.  Copyright in a document not produced in the IETF does
not appear to be.

best,
   john

---

From: "Murray S. Kucherawy" <[email-masked]>
Date: Sun, 8 Jun 2014 08:41:52 -0700

> be good to be explicit about that.

Hi John,

There are two active venues for discussion about DMARC.  This one is the
primary one.  There is a legacy list operated at dmarc.org that has more
casual conversation not geared to specification development and advancement.

We are still discussing the change control transfer, but I can say that do
so was always the end goal.  It has been submitted to the ISE, but it's
always possible to make important changes while it's pending in that queue.

-MSK

---

From: Dave Crocker <[email-masked]>
Date: Sun, 08 Jun 2014 22:19:50 +0200

> dmarc.org, not about the IETF's DMARC discussion list.

Same answer about that list.  He's active there, too.  It's an open list.

> I asked about voluntary handoff of change control;

You did?  I can't seem to find a recent message from you with either the
word voluntary or handoff.  Which message are you referring to?

>  I hope
> relevant. 

You make it sound as if the IETF hasn't previously taken in protocols
that already had a significant installed base, with the proviso that it
protect it.

You also make it seem that there was work known to be needed on the base
protocol, when in fact there wasn't, after multiple queries in multiple
venues.

I know that requiring a working group to protect and installed base is
pretty outlandish and gets in the way of engineering idealism, but
really...

And given your deep concern about this current situation, please do
indicate what actual protocol work you feel is needed.  It will useful
input to a possible charter.

d/